Pyramids are not build if tifw contains rotations

2009-06-06 01:18 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 11782

Description

If tfw file contains rotations terms, pyramids are not build with the message: "Not supported on this type of raster".

Example attached, see lines 2 and 3, not equal to 0.

Replicated in 1.0.2 and 1.2-trunk

History

#1 - 2009-07-27 08:33 PM - ersts -

- Status changed from Open to In Progress

This is because the image is warped when it is loaded and considered a 'warped virtual dataset'. The image being drawn is not the original base image,

though we do still have a pointer to that base image.

It seems like pyramids could be build for the based image, and then reloaded and rewarped again, but I need to check with the GDAL folks to see if

pyramids are supported at all with virtual datasets.

#2 - 2009-07-27 08:44 PM - Maxim Dubinin

I think the pyramids should be built for the base raster.

#3 - 2009-07-27 08:51 PM - Frank Warmerdam -

Overviews can actually be built on vrt warped images however that doesn't work in the QGIS case where the warped VRT is actually just temporary - not

saved to disk.

We could also build overviews on the underlying image however at this time the GDAL warp api underlying warped VRTs does not take advantage of

overviews.

#4 - 2009-07-27 09:02 PM - ersts -

Replying to [comment:5 warmerdam]:

We could also build overviews on the underlying image however at this time the GDAL warp api underlying warped VRTs does not take advantage

of overviews.
Thanks Frank, that was the nugget I was looking for. So for now I guess we will just keep the ticket open and watch the following ticket

http://trac.osgeo.org/gdal/ticket/2076

#5 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2012-04-16 06:22 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#7 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#8 - 2012-10-04 05:26 PM - Giovanni Manghi

- Status changed from In Progress to Open

- Pull Request or Patch supplied set to No

- Status info deleted (0)

- Operating System deleted (All)

- Assignee deleted (ersts -)

#9 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#10 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#11 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
